<?= $this->doctype(); ?>
<html>
    <head>
        <?= $this->headTitle(); ?>
        <?= $this->headMeta(); ?>
        <?php
        //$this->headLink()->prependStylesheet($this->baseUrl() . '/css/timeout-dialog.css');
        $this->headLink()->prependStylesheet($this->baseUrl() . '/css/standard.css');
        $this->headLink()->prependStylesheet($this->baseUrl() . '/css/eshop.css');
        $this->headLink(Array('rel' => 'icon', 'href' => '/graphics/favico.ico', 'type' => 'image/x-icon'));
        $this->headScript()->appendFile($this->baseUrl() . 'https://ajax.googleapis.com/ajax/libs/jquery/1.6.0/jquery.min.js');
        $this->headScript()->appendFile($this->baseUrl() . 'https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.12/jquery-ui.min.js');
        $this->headScript()->appendFile($this->baseUrl() . '/plugins/tiny_mce/tiny_mce.js');

        echo $this->headLink();
        echo $this->headScript();
        ?> 
        <link href="https://fonts.googleapis.com/css?family=Roboto+Slab" rel="stylesheet">
        <script>
            (function (i, s, o, g, r, a, m) {
                i['GoogleAnalyticsObject'] = r;
                i[r] = i[r] || function () {
                    (i[r].q = i[r].q || []).push(arguments)
                }, i[r].l = 1 * new Date();
                a = s.createElement(o),
                        m = s.getElementsByTagName(o)[0];
                a.async = 1;
                a.src = g;
                m.parentNode.insertBefore(a, m)
            })(window, document, 'script', 'https://www.google-analytics.com/analytics.js', 'ga');

            ga('create', 'UA-40748822-2', 'auto');
            ga('send', 'pageview');

        </script>
        <!-- On page load -->
        <script type="text/javascript" src="/javascript/standard.js">
        </script>
    </head>
    <body>
        <div id="overlay"></div>
        <div id="overlay-age-verify" class="overlay-dialogue border-radius" style="text-align: center">
            <h2 id="ajax-form-output" style="margin: 30px 30px 30px 30px">Alkoholové výrobky prodáváme pouze osobám starším osmnácti let.<br/>Tato stránka využívá soubory 'cookies', aby vás tento dialog otravoval pouze jednou.</h2>
            <div style="width: 260px; margin-left: 170px;">
                <button onClick="confirmAge();" class="button-small menu-item">Potvrzuji, že je mi 18 let nebo více.</button>
                <div class="clear"></div>
            </div>
        </div>
        <div id="backgroundpiece">&nbsp;</div>
        <div id="centerpiece">
            <div id="header">
                <h1 id="title">
                    <a href="/">Homebrew Shop</a>
                </h1>
            </div>
            <div id="menu">
                <a href="/pivo">
                    <div class="menu-item bg-green border-style shadowout">
                        <h1>Pivo</h1>
                    </div>
                </a>
                <a href="/breweriana">
                    <div class="menu-item bg-green border-style shadowout">
                        <h1>Breweriana</h1>
                    </div>
                </a>
                <a href="/homebrew">
                    <div class="menu-item bg-green border-style shadowout">
                        <h1>Homebrew</h1>
                    </div>
                </a>
                <a href="/cart">
                    <div class="menu-item bg-green border-style shadowout last">
                        <h1>Košík<span class='floatright' style='margin-right: 20px'>(<span id='cart-num'><?php $cart = new Model_EshopCart(); echo $cart->countProducts() ?></span>)</span></h1>                            
                    </div>
                </a>
            </div>
            <div id="content" class="bg-green border-style shadowout">
                <div class="padding15">
                    <?php echo $this->layout()->content; ?>
                </div>
                <div class="clear" stlye="margin-top: 20px"></div>
            </div>
            <div class='center' id='footer'>&copy; <?= date('Y'); ?> design & kód <a href='http://lnkd.in/-F6B5A' target='_blank'>Jan Dočkal</a>, kontaktní adresa <a href='mailto:pivoklub@iol.cz'>pivoklub@iol.cz</a>, tel. +420 222 315 777</div>
        </div>        
        <?php
        /* debug box lze vypnout v configu změnou parametru settings.debug.debugbox */
        if (!empty($this->debugbox)) {
            echo "<div id='debugbox'>";
            echo "<h1>Debug:</h1>";
            echo "<p>debug box lze vypnout v configu změnou parametru settings.debug.debugbox</p>";
            if (!empty($this->errormessage)) {
                echo "<p>";
                $i = 0;
                foreach ($this->errormessage as $value) {
                    echo "error $i: " . $value . "<br/>";
                    $i++;
                }
                echo "</p>";
            } else {
                echo "<p>No error message.</p>";
            }
            echo "<pre>";
            var_dump($_SESSION);
            echo "</pre></div>";
        }
        ?>           
    </body>
</html>